Skip to main content
DELETE
/
api
/
v2
/
folders
/
{folderIdOrName}
cURL
curl --request DELETE \
  --url https://us.infisical.com/api/v2/folders/{folderIdOrName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": "<string>",
  "environment": "<string>",
  "path": "/",
  "forceDelete": false
}
'
import requests

url = "https://us.infisical.com/api/v2/folders/{folderIdOrName}"

payload = {
    "projectId": "<string>",
    "environment": "<string>",
    "path": "/",
    "forceDelete": False
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'DELETE',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({projectId: '<string>', environment: '<string>', path: '/', forceDelete: false})
};

fetch('https://us.infisical.com/api/v2/folders/{folderIdOrName}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "folder": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "envId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "version": 1,
    "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "isReserved": false,
    "description": "<string>",
    "lastSecretModified": "2023-11-07T05:31:56Z"
  }
}
{
  "reqId": "<string>",
  "statusCode": 400,
  "message": "<string>",
  "error": "<string>",
  "details": "<unknown>"
}
{
  "reqId": "<string>",
  "statusCode": 401,
  "message": "<string>",
  "error": "<string>"
}
{
  "reqId": "<string>",
  "statusCode": 403,
  "message": "<string>",
  "error": "<string>",
  "details": "<unknown>"
}
{
  "reqId": "<string>",
  "statusCode": 404,
  "message": "<string>",
  "error": "<string>"
}
{
  "reqId": "<string>",
  "statusCode": 422,
  "error": "<string>",
  "message": "<unknown>"
}
{
  "reqId": "<string>",
  "statusCode": 500,
  "message": "<string>",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

folderIdOrName
string
required

The ID or name of the folder to delete.

Body

application/json
projectId
string
required

The ID of the project to delete the folder from.

environment
string
required

The slug of the environment where the folder is located.

path
string
default:/

The path of the folder to delete.

forceDelete
boolean
default:false

Whether to force delete the folder even if it contains resources.

Response

Default Response

folder
object
required